package com.ozs.plan.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseExpert;
import com.ozs.plan.doman.ProvisionalPlan;
import com.ozs.plan.doman.vo.requestVo.ProvisionalPlanVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProvisionalPlanMapper extends BaseMapper<ProvisionalPlan> {
    int deleteProvisionalPlanById(@Param("planYearId") Integer planYearId);

    int updateProvisionalPlanById(ProvisionalPlan provisionalPlan);

    List<ProvisionalPlan> selectProjectName(String projectName);

    int commitProvisionalPlan(Integer planPracticalId);

    ProvisionalPlan seletById(Integer planPracticalId);

    List<ProvisionalPlan> selectProvisionalPlan(ProvisionalPlanVo provisionalPlanVo);

    List<ProvisionalPlan> selectProvisionalPlanAudit(ProvisionalPlanVo provisionalPlanVo);

    int review(ProvisionalPlan provisionalPlan);
}
